@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

:root{
    --primary-color: #46d384;
    --primary-color-light: #fffcfa;
    --primary-color-dark: #ffc400;
    --text-dark: #18181b;
    --text-light: #6b7280;
    --white: #ffffff;
    --max-width: 1200px;
}

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body{
    font-family: 'Poppins', sans-serif; 
    background: linear-gradient(
        to right,
        #f7f7f7 0%,      /* Light grey */
        #eaf5e0 33%,     /* Pale, dusty green */
        #fff7e6 66%,     /* Light, creamy gold */
        #f7f7f7 100%     /* Back to light grey */
    );   
}

.accent{
    color: var(--primary-color-dark);
}

.base{
    color: var(--primary-color);
}

.logo a{
    font-size: 1.5rem;
    font-weight: 700;
    color: var(--primary-color);
}

.logo a span{
    color: var(--text-dark);
}

img{
    display: flex;
    width: 100%;
}

a{
    text-decoration: none;
    transition: 0.3s linear;
}

ul{
    list-style-type: none;
}

/* Navigation */
nav {
    position: fixed;
    isolation: isolate;
    width: 100%;
    z-index: 9;
}

.nav_header {
    width: 100%;
    padding: 1rem;
    display: flex;
    align-items: center;
    justify-content: space-between;
    background-color: var(--primary-color);
}

.nav_logo img{
    max-height: 110px;
    width: auto;
    object-fit: contain;
}

.nav_menu_btn {
    font-size: 1.5rem;
    color: var(--text-dark);
    cursor: pointer;
}

.nav_links {
    position: absolute;
    top: 68px;
    left: 0;
    width: 100%;
    padding: 2rem;
    list-style: none;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 2rem;
    background-color: var(--primary-color-light);
    transition: 0.5s;
    z-index: -1;
    transform: translateY(-100%);
}

.nav_links.open {
    transform: translateY(15%);
}

.nav_links a {
    font-weight: 500;
    color: var(--text-dark);
}

.nav_links a:hover {
    color: var(--primary-color-dark);
}

.nav_btn {
    display: none;
}

/* Responsiveness */
@media (width > 768px) {
    nav {
        position: static;
        padding: 2rem 1rem;
        max-width: var(--max-width);
        margin-inline: auto;
        display: flex;
        align-items: center;
        justify-content: space-between;
        gap: 2rem;
    }

    .nav_header {
        flex: 1;
        padding: 0;
        background-color: transparent;
    }

    .nav_logo a {
        color: var(--primary-color);
    }

    .nav_menu_btn {
        display: none;
    }

    .nav_links {
        position: static;
        padding: 0;
        flex-direction: row;
        background-color: transparent;
        transform: none;
    }

    .Request_Qoute_hidden {
    display: none;
    }

    .nav_lins a {
        color: var(--text-dark);
    }

    .nav_links a:hover {
        color: var(--primary-color-dark);
    }

    .nav_btn {
        display: flex;
        /* flex: 1; */
        justify-content: flex-end;
    }

    .nav_btn .btn {
        padding: 8px 10px;
        /* font-size: 1.5rem; */
        /* border-radius: 100%; */
        border-radius: 10px;
        font-size: 1rem;
    }

}

/* ====================== HEADER ====================== */

.section_container {
    max-width: var(--max-width);
    margin: auto;
    padding: 5rem 1rem;
}

.section_description {
    color: var(--text-light);
    line-height: 1.75rem;
    text-align: center;
}

.btn{
    padding: 0.75rem 1.5rem;
    outline: none;
    border: none;
    white-space: nowrap;
    font-size: 1rem;
    color: var(--white);
    background-color: var(--primary-color);
    border-radius: 10px;
    transition: 0.3s;
    cursor: pointer;
}

.btn:hover {
    background-color: var(--primary-color-dark);
}

.header_container {
    display: grid;
    gap: 2rem;
    overflow: hidden;
}

.header_image img {
    max-width: 600px;
    margin-inline: auto;
}

.header_content h1 {
    margin-bottom: 1rem;
    font-size: 3.5rem;
    font-weight: 700;
    line-height: 4.5rem;
    color: var(--text-dark);
    text-align: center;
}

.header_content h1 span {
    color: var(--primary-color);
}

.header_content .accent{
    color: var(--primary-color-dark);
}

.header_content .section_description {
    margin-bottom: 2rem;
}

.header_btn {
    text-align: center;
}

/* Header Responsiveness */

@media (width > 768px) {
    .header_container {
        grid-template-columns: 2fr 3fr;
        align-items: center;
    }

    .header_content h1,
    .header_content .section_description,
    .header_btn {
        text-align: left;
    }

    .header_image {
        grid-area: 1/2/2/3;
    }
}

@media screen and (max-width: 768px )
{
    .header_container {
        position: relative;
        top: 100px;
    }
}


/* Special Dishes */
.section_header{
    margin-bottom: 1rem;
    font-size: 2.5rem;
    font-weight: 700;
    line-height: 3rem;
    text-align: center;
    color: var(--text-dark);
}

.special_container :is(.section_header, .section_description){
    max-width: 600px;
    margin-inline: auto;
}

.special_grid{
    margin-top: 4rem;
    display: grid;
    gap: 1rem;
}

.special_card{
    padding: 1rem;
    text-align: center;
    border-radius: 2rem;
    transform: 0.3s linear;
}

.message{
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 2rem;
}

.special_card:hover{
    box-shadow: 10px 10px 40px rgba(0, 0, 0, 0.1);
}

.special_card img {
    max-width: 200px;
    width: 100%;
    margin-inline: auto;
    margin-bottom: 1rem;
    filter: drop-shadow(10px 10px 20px rgba(0,0,0,0.3));
}

.special_card h4 {
    margin-bottom: 0.5rem;
    font-size: 1.5rem;
    font-weight: 700;
    color: var(--text-dark);
}

.special_card p {
    margin-bottom: 0.5rem;
    color: var(--text-light);
    line-height: 1.75rem;
}

.special_ratings{
    margin-bottom: 1rem;
    font-size: 1rem;
    color: goldenrod;
}

.special_footer{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
}

.special_footer .price {
    font-size: 1.2rem;
    font-weight: 600;
    color: var(--text-dark);
}

@media (width > 540px) {
    .special_grid{
        grid-template-columns: repeat(2,1fr);
    }
}

@media (width >768px) {
    .special_grid{
        grid-template-columns: repeat(3,1fr);        
    }

    .special_grid > .special_card:last-child:nth-child(4) {
        grid-column: 2;
    }
}


/* Explore Section */

.explore_container {
    display: grid;
    gap: 2rem;
    overflow: hidden;
}

.explore_image img{
    max-width: 400px;
    margin-inline: auto;
    filter: drop-shadow(0 0 50px var(--primary-color-dark));
}

.explore_content .section_description {
    margin-bottom: 2rem;
}

.explore_btn{
    text-align: center;
}

@media (width > 768px) {
    .explore_container {
        grid-template-columns: 2fr 1fr;
        align-items: center;
    }

    .explore_content .section_header{
        max-width: 500px;
    }

    .explore_content :is(.section_header,
    .section_description), .explore_btn{
        text-align: left;
    }
}

/* Banner */
.banner_container{
    display: grid;
    gap: 1rem;
}

.banner_card{
    padding: 2rem;
    box-shadow: 5px 5px 20px rgba(0, 0, 0, 0.1);
    border-radius: 3rem;
    transition: 0.3s;
}

.banner_card:hover{
    box-shadow: 10px 10px 40px rgba(0, 0, 0, 0.1);
    transform: translateY(-5px);
}

.banner_card .banner_icon{
    display: inline-block;
    margin-bottom: 1rem;
    padding: 5px 11px;
    font-size: 2rem;
    color: var(--white);
    border-radius: 1rem;
}

.banner_card:nth-child(1) .banner_icon{
    background-color: #62b15c;
    box-shadow: 5px 5px 30px #62b15c;
}

.banner_card:nth-child(2) .banner_icon{
    background-color: #ff3e67;
    box-shadow: 5px 5px 30px #ff3e67;
}

.banner_card:nth-child(3) .banner_icon{
    background-color: #185adb;
    box-shadow: 5px 5px 30px #185adb;
}

.banner_card:nth-child(4) .banner_icon{
    background-color: #62b15c;
    box-shadow: 5px 5px 30px #62b15c;
}

.banner_card:nth-child(5) .banner_icon{
   background-color: #ff3e67;
    box-shadow: 5px 5px 30px #ff3e67;
}

.banner_card:nth-child(6) .banner_icon{
    background-color: #185adb;
    box-shadow: 5px 5px 30px #185adb;
}

.banner_card:nth-child(7) .banner_icon{
    background-color: #62b15c;
    box-shadow: 5px 5px 30px #62b15c;
}

.banner_card:nth-child(8) .banner_icon{
   background-color: #ff3e67;
    box-shadow: 5px 5px 30px #ff3e67;
}

.banner_card:nth-child(9) .banner_icon{
    background-color: #185adb;
    box-shadow: 5px 5px 30px #185adb;
}


.banner_card h4{
    margin-bottom: 0.5rem;
    font-size: 1.5rem;
    font: 600;
    color: var(--text-dark);
}

.banner_card p{
    color: var(--text-light);
    margin-bottom: 1rem;
    line-height: 1.75rem;
}

.banner_card a{
    display: flex;
    align-items: center;
    gap: 10px;
    font-size: 500;
    color: var(--primary-color);
}

.banner_card a span {
    font-size: 1.25rem;
    transition: 0.3s;
}

.banner_card a:hover span{
    transform: translateX(5px);
}


@media (width > 540px) {
    .banner_container{
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (width > 1024px) {
    .banner_container{
        grid-template-columns: repeat(3, 1fr);
    }
}

/* Chef */

.chef{
    position: relative;
    isolation: isolate;
    overflow: hidden;
}

.chef_bg{
    position: absolute;
    z-index: -1;
    max-width: 275px;
    left: -4rem;
    bottom: -2rem;
    transform: rotate(75deg);
}

.chef_bg_page{
    position: absolute;
    z-index: -1;
    max-width: 275px;
    left: -4rem;
    bottom: -2rem;
    transform: rotate(220deg);
}

@media (width < 769px) {
    .chef_space{
        margin-bottom: 2rem;
    }
}


.chef_container{
    padding-bottom: 10rem;
    display: grid;
    gap: 2rem;
}

.chef_content .section_description{
    margin-bottom: 1rem;
}

.chef_image{
    position: relative;
    isolation: isolate;
}

.chef_image img{
    max-width: 500px;
    border-radius: 100%;
    margin-inline: auto;
}

.chef_content h2 span{
    color: var(--primary-color);
}

.accent{
    color: var(--primary-color-dark);
}

.accent_base{
    color: var(--primary-color);
}

.chef_btn{
    text-align: center;
}

.testimonial-section .chef_btn{
    margin-top: 2rem;
}


.chef_image::after{
    position: absolute;
    content: "";
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    height: 100%;
    width: 100%;
    max-width: 500px;
    background-color: var(--primary-color-dark);
    border-radius: 100%;
    z-index: -1;
}

.chef_content h3{
    padding: 0.5rem;
}

.chef_list{
    display: grid;
    gap: 0.5rem;
}

.chef_list li{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    font-weight: 500;
    color: var(--text-dark);
}

.chef_list li span{
    font-size: 1.5rem;
}

.chef_list li:nth-child(1) span{
    color: #62b15c;
}

.chef_list li:nth-child(2) span{
    color: #ff3e67;
}

.chef_list li:nth-child(1) span{
    color: #185adb;
}

@media (width > 768px) {
    .chef_container{
        grid-template-columns: repeat(2, 1fr);
        align-items: center;
    }

    .chef_image{
        grid-area: 1/2/2/3;
    }

    .chef_content :is(.section_header, .section_description){
        text-align: left;
    }

    .chef_list li{
        justify-content: flex-start;
    }
}

@media (width > 1024px) {
    .chef_bg{
        max-width: 375px;
    }
}

/* Testimonial */
.testimonial-section{
    max-width: 800px;
    margin: 0 auto;
    padding: 3rem 1rem;
    text-align: center;
}

.testimonial-container{
    position: relative;
    overflow: hidden;
    padding: 10px;
    margin: 10px 0;
}

.testimonial-card{
    background-color: #fff;
    padding: 2rem;
    border-radius: 30px;
    box-shadow: 0 4px 40px rgba(255, 140, 0, 0.3);
    border: 2px solid var(--primary-color-dark);
    border-image-slice: 1;
    opacity: 0;
    transform: scale(0.98);
    transition: all 0.5s ease-in-out;
    position: absolute;
    top: 0;
    left: 0;
    display: flex;
    width: 100%;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.testimonial-card.active{
    opacity: 1;
    transform: scale(1);
    position: relative;
}

.testimonial-card p{
    font-size: 1.1rem;
    margin-bottom: 1.5rem;
    color: #333;
}

.testimonial-card img{
    width: 70px;
    height: 70px;
    border-radius: 50%;
    margin-bottom: 1rem;
    object-fit: cover;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
}

.testimonial-card h4{
    font-size: 1.2rem;
    margin-bottom: 0.2rem;
    color: #000;
}

.testimonial-card h5{
    font-size: 0.95rem;
    color: #6c757d;
    font-weight: 500;
}

.dots{
    display: flex;
    justify-content: center;
    margin-top: 1.5rem;
    gap: 8px;
}

.dots span{
    width: 10px;
    height: 10px;
    background-color: #dcdcdc;
    border-radius: 50%;
    cursor: pointer;
    transition: background-color 0.3s;
}

.dots span.active{
    background-color: var(--primary-color);
}

/* Footer */

.footer{
    background-color: var(--primary-color-light);
}


.footer_container{
    display: grid;
    gap: 4rem 2rem;
}

.footer_logo{
    margin-bottom: 0.25rem;
}

.footer_socials {
    margin-top: 1rem;
    display: flex;
    gap: 1rem;
}

.footer_socials a {
    font-size: 2rem;
    color: var(--primary-color-dark);
    transition: color 0.3s;
}

.footer_socials a:hover{
    color: var(--primary-color);
}

.footer_col .section_description{
    text-align: left;
}


.footer_col:last-child {
    white-space: nowrap;
}

.footer_col h4{
    margin-bottom: 1rem;
    font-size: 1.2rem;
    font-weight: 600;
    color: var(--text-dark);
}

.footer_links{
    display: grid;
    gap: 0.75rem;
}

.footer_links a{
    color: var(--text-light);
}

.footer li {
    color: var(--text-light);
}

.footer_links a:hover{
    color: var(--primary-color-dark);
}

.footer_icon{
    display: inline-block;
    font-size: 1.1rem;
    padding-right: 5px;
    color: var(--primary-color);
}

.footer_bar{
    padding: 1rem;
    font-size: 0.9rem;
    color: var(--text-light);
    text-align: center;
}

.footer_bar .created_by {
    color: var(--primary-color);
    text-decoration: none;
}

.footer_bar .created_by:hover {
    text-decoration: underline;
    color: var(--primary-color-dark);
}

.back_to_top {
    position: fixed;
    bottom: 2rem;
    right: 2rem;
    background: var(--text-dark);
    color: var(--primary-color-light);
    padding: 5px 11px;
    border-radius: 1rem;
    font-size: 2rem;
    box-shadow: 0 0 10px rgba(0, 0, 0,0.3);
    z-index: 1000;
    cursor: pointer;
    transition: transform 0.3s ease-in-out, background 0.3s ease-in-out;
    opacity: 0;
    visibility: hidden;
}

.back_to_top:hover{
    background: #ffc400;
    transform: translateY(-10px);
}

.back_to_top.visible {
    opacity: 1;
    visibility: visible;
}

@media (width > 540px) {
    .footer_container{
        grid-template-columns: 3fr 2fr;
    }
}

@media (width > 768px) {
    .footer_container{
        grid-template-columns: 2fr repeat(3, 1fr);
    }
}

/* ====================== GALLERY PAGE ====================== */

.gallery_container{
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 4rem;
}

.gallery{
    position: relative;
    display: grid;
    grid-gap: 15px;
    width: var(--max-width);
    grid-template-columns: 1fr 1fr 1fr;
    grid-template-rows: repeat(8, 150px);
    grid-template-areas: "img1 img3 img4"
                         "img1 img3 img6"
                         "img2 img3 img6"
                         "img2 img5 img5"
                         "img7  img7  img8" 
                         "img7  img7  img9" 
                         "img10 img11 img9"
                         "img10 img12 img12";
}

.gallery .img1{
    grid-area: img1;
}

.gallery .img2{
    grid-area: img2;
}

.gallery .img3{
    grid-area: img3;
}

.gallery .img4{
    grid-area: img4;
}

.gallery .img5{
    grid-area: img5;
}

.gallery .img6{
    grid-area: img6;
}
.gallery .img7 { 
    grid-area: img7; 
}

.gallery .img8 { 
    grid-area: img8;
}

.gallery .img9 { 
    grid-area: img9; 
}

.gallery .img10 { 
    grid-area: img10;
 }

.gallery .img11 { 
    grid-area: img11; 
}

.gallery .img12 {
    grid-area: img12; 
}



.gallery .item{
    position: relative;
}

.gallery .item img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: 0.5s;
    border-radius: 10px;
}

.gallery:hover .item img:not(:hover){
    filter: grayscale(1);
    opacity: 0.5;
}

.space_base{
    margin-top: 5rem ;
}

.space_service{
    margin-top: -5rem;
}

@media (width < 788px )
{
    .space{
        margin-top: 8rem;
    }

}

/* Contact Page */
.contact-container{
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: space-evenly;
}

.contact-left{
    display: flex;
    flex-direction: column;
    align-items: start;
    gap: 20px;
}

.contact-left-title h2{
    font-weight: 600;
    color: var(--primary-color);
    font-size: 40px;
    margin-bottom: 5px;
}

.contact-left-title hr{
    border: none;
    width: 120px;
    height: 5px;
    background-color: var(--primary-color-dark);
    border-radius: 10px;
    margin-bottom: 20px;
}

.contact-inputs{
    width: 400px;
    height: 50px;
    border: none;
    outline: none;
    padding-left: 25px;
    font-weight: 500px;
    color: #666;
    border-radius: 50px;
}

.contact-left textarea{
    height: 140px;
    padding-top: 15px;
    border-radius: 20px;
    resize: none;
}

.contact-inputs:focus{
    border: 2px var(--primary-color-dark);
}

.contact-inputs::placeholder{
    color: #a9a9a9;
}

.contact-left button{
    display: flex;
    align-items: center;
    padding: 15px 30px;
    font-size: 16px;
    color: #fff;
    gap: 10px;
    border: none;
    border-radius: 50px;
    background: var(--primary-color);
    cursor: pointer;
    transition: 0.3s ease-in-out;
}

.contact-left button:hover{
    background: var(--primary-color-dark);
}

.contact-left button i:hover{
    transform: translateX(5px);
}

@media (width < 768px){
    .contact-right{
        display: none;
    }
}

/* Quotation */
.quote-container {
    max-width: 800px;
    margin: auto;
    padding: 2rem;
    background: #fff;
    border-radius: 8px;
    box-shadow: 0 4px 8px rgba(0,0,0,0.1);
    margin-top: 5rem;
}

.quote-container h1 {
    color: #333;
    text-align: center;
    margin-bottom: 1rem;
}

.quote-container p {
    text-align: center;
    color: #666;
    margin-bottom: 2rem;
}

.qoute-form {
    display: grid;
    gap: 1.5rem;
}

fieldset {
    border: 1px solid #ddd;
    border-radius: 5px;
    padding: 1.5rem;
    margin-bottom: 1.5rem;
}

legend {
    font-size: 1.2rem;
    font-weight: bold;
    color: #555;
    padding: 0 10px;
}

.form-group {
    display: flex;
    flex-direction: column;
}

label {
    font-weight: bold;
    margin-bottom: 5px;
    color: #444;
}

fieldset input[type="text"],
fieldset input[type="email"],
fieldset input[type="tel"],
fieldset input[type="date"],
fieldset input[type="number"],
select,
fieldset textarea {
    width: 100%;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 4px;
    font-size: 1rem;
}

.checkbox-group label {
    font-weight: normal;
    display: block;
    margin-bottom: 0.5rem;
}

.qoute-form button[type="submit"] {
    width: 100%;
    padding: 15px;
    background-color: #ffc400;
    color: #000;
    font-size: 1.1rem;
    font-weight: bold;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

.qoute-form button[type="submit"]:hover {
    background-color: #e0b000;
}

#form-message {
    text-align: center;
    color: red;
    font-weight: bold;
    margin-top: 1rem;
}


/* ============== TOAST ================ */
#result {
  visibility: hidden;
  min-width: 280px;
  margin-left: -140px;
  background: #333;
  color: #fff;
  text-align: center;
  border-radius: 8px;
  padding: 14px;
  position: fixed;
  z-index: 1000;
  left: 50%;
  bottom: -60px;
  font-size: 16px;
  opacity: 0;
  transition: all 0.5s ease;
}

#result.show {
  visibility: visible;
  bottom: 30px;
  opacity: 1;
}


/* ============== OVERLAY EFFECT ================ */
#event-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,0.8);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 1000;
    visibility: hidden;
}

.poster-content{
    padding: 0;
    border-radius: 8px;
    text-align: center;
    max-width: 500px;
    max-height: 90vh;
    position: relative;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.3);
    overflow: hidden;
}

.event-poster-image{
    display: block;
    max-width: 100%;
    max-height: 100%;
    width: auto;
    height: auto;
    width: 100%;
    max-height: 90vh;
    object-fit: contain;
    border-radius: 8px;
}

#close-overlay{
    position: absolute;
    top: 20px;
    right: 20px;
    width: 30px;
    height: 30px;
    border-radius: 50%;
    background-color: #f00;
    color: white;
    font-weight: bold;
    border: none;
    cursor: pointer;
    line-height: 1;
    font-size: 16px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.3);
    justify-content: center;
    align-items: center;
}

#close-overlay:before {
    content: "X";
}

#close-overlay:hover {
    background-color: #c00;
}

@media (max-width: 600px) {
    .poster-content {
        max-width: 90vw; 
        max-height: 95vh;
        padding: 0; 
    }
    

    #close-overlay {
        top: 5px; 
        right: 5px;
        width: 35px; 
        height: 35px;
        font-size: 18px;
    }
}